#include "SubWindow.h"
#include "QtStudy.h"
#include <QDateTime>

SubWindow::SubWindow(QWidget *parent)
	: QDialog(parent)
{
	ui.setupUi(this);

	mpStudy = dynamic_cast<QtStudy*>(parent);

	srand(1000);

	connect(ui.clearBtn, &QPushButton::clicked, this, &SubWindow::clearAllData);
}

SubWindow::~SubWindow()
{}


void SubWindow::clearAllData()
{
	if (mpStudy == nullptr)
		return;

	mpStudy->ui.spinBox->setValue(rand()%100);
}